# InputValidators

This library was generated with [Angular CLI](https://github.com/angular/angular-cli) version 15.0.0.

The inputNumberValidator directive prevents the user from entering a value outside of this range, and limits the amount of data the user can input

## Installation

```shell
npm i @goodbetterbist/input-validators
```

## Usage

Here is a brief example of how to use the package:

```typescript
// xyz.module.ts
import { InputValidatorsModule } from '@goodbetterbist/input-validators';

@NgModule({
  imports: [
    InputValidatorsModule
  ],
    ...
})
export class XyzModule { }
```

```html
// xyz.component.html
<input type="text" inputNumberValidator />

<input
type="text"
inputNumberValidator
placeholder="00"
min="0"
max="100"
pattern=""
/>
```

